Update Name and Description of Knowledge Base
curl --request PUT \
--url https://api.trugen.ai/v1/ext/kb/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Revised HR Policies",
"description": "Revised HR and Compensation policy.",
"is_active": true
}
'import requests
url = "https://api.trugen.ai/v1/ext/kb/{id}"
payload = {
"name": "Revised HR Policies",
"description": "Revised HR and Compensation policy.",
"is_active": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Revised HR Policies',
description: 'Revised HR and Compensation policy.',
is_active: true
})
};
fetch('https://api.trugen.ai/v1/ext/kb/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ff152cd9-efb6-4367-a545-b861c9fbd3d0",
"message": "Knowledge Base updated successfully"
}{
"error": "Invalid request body"
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"message": "Knowledge Base not found"
}{
"error": "Failed to retrieve knowledge base"
}Knowledge Base
Update Knowledge Base
Update name and description of a specific Knowledge Base by ID. Requires x-api-key authentication.
PUT
/
ext
/
kb
/
{id}
Update Name and Description of Knowledge Base
Authorizations
Path Parameters
UUID of the Knowledge Base to update
Example:
"ff152cd9-efb6-4367-a545-b861c9fbd3d0"
Body
application/json
Was this page helpful?
⌘I